Index: src/lemon/concept/graph_component.h
===================================================================
--- src/lemon/concept/graph_component.h	(revision 962)
+++ src/lemon/concept/graph_component.h	(revision 964)
@@ -35,5 +35,5 @@
 
     /// \note Because Node and Edge are forbidden to inherit from the same
-    /// base class, this is a template. For Node you shoul instantiate it
+    /// base class, this is a template. For Node you should instantiate it
     /// with character 'n' and for Edge with 'e'.
 
Index: src/lemon/dimacs.h
===================================================================
--- src/lemon/dimacs.h	(revision 921)
+++ src/lemon/dimacs.h	(revision 964)
@@ -36,5 +36,8 @@
 
   /// This function reads a min cost flow instance from dimacs format,
-  /// i.e. from dimacs files having a line starting with \c p \c "min".
+  /// i.e. from dimacs files having a line starting with
+  /// \code
+  /// p "min"
+  /// \endcode
   /// At the beginning \c g is cleared by \c g.clear(). The edge
   /// capacities are written to \c capacity, \c s and \c t are set to
@@ -113,6 +116,9 @@
 
   /// This function reads a max flow instance from dimacs format,
-  /// i.e. from dimacs files having a line starting with \c p \c
-  /// "max".  At the beginning \c g is cleared by \c g.clear(). The
+  /// i.e. from dimacs files having a line starting with
+  /// \code
+  /// p "max"
+  /// \endcode
+  ///At the beginning \c g is cleared by \c g.clear(). The
   /// edge capacities are written to \c capacity and \c s and \c t are
   /// set to the source and the target nodes.
@@ -130,5 +136,8 @@
 
   /// This function reads a shortest path instance from dimacs format,
-  /// i.e. from dimacs files having a line starting with \c p \c "sp".
+  /// i.e. from dimacs files having a line starting with
+  /// \code
+  /// p "sp"
+  /// \endcode
   /// At the beginning \c g is cleared by \c g.clear(). The edge
   /// capacities are written to \c capacity and \c s is set to the
@@ -163,5 +172,9 @@
   /// This function reads a graph without any designated nodes and
   /// maps from dimacs format, i.e. from dimacs files having a line
-  /// starting with \c p \c "mat".  At the beginning \c g is cleared
+  /// starting with
+  /// \code
+  /// p "mat"
+  /// \endcode
+  /// At the beginning \c g is cleared
   /// by \c g.clear().
   ///
Index: src/lemon/graph_utils.h
===================================================================
--- src/lemon/graph_utils.h	(revision 947)
+++ src/lemon/graph_utils.h	(revision 964)
@@ -25,4 +25,7 @@
 ///\file
 ///\brief Graph utilities.
+///
+///\todo Please
+///revise the documentation.
 ///
 
@@ -53,5 +56,5 @@
   /// This function counts the nodes in the graph.
   /// The complexity of the function is O(n) but for some
-  /// graph structure it is specialized to O(1).
+  /// graph structure it is specialized to run in O(1).
 
   template <typename Graph>
@@ -64,5 +67,5 @@
   /// This function counts the edges in the graph.
   /// The complexity of the function is O(e) but for some
-  /// graph structure it is specialized to O(1).
+  /// graph structure it is specialized to run in O(1).
   template <typename Graph>
   inline int countEdges(const Graph& _g) {
@@ -74,5 +77,5 @@
   /// This function counts the symmetric edges in the graph.
   /// The complexity of the function is O(e) but for some
-  /// graph structure it is specialized to O(1).
+  /// graph structure it is specialized to run in O(1).
   template <typename Graph>
   inline int countSymEdges(const Graph& _g) {
@@ -88,5 +91,9 @@
     return num;
   }
+  
+  ///\e
 
+  ///\todo Please document.
+  ///
   template <typename Graph>
   inline int countOutEdges(const Graph& _g,  const typename Graph::Node& _n) {
@@ -94,4 +101,8 @@
   }
 
+  ///\e
+
+  ///\todo Please document.
+  ///
   template <typename Graph>
   inline int countInEdges(const Graph& _g,  const typename Graph::Node& _n) {
Index: src/lemon/xy.h
===================================================================
--- src/lemon/xy.h	(revision 921)
+++ src/lemon/xy.h	(revision 964)
@@ -51,4 +51,6 @@
     public:
 
+      typedef T ValueType;
+
       T x,y;     
       
